<?php

App::uses('EvLocationAppModel', 'EvLocation.Model');

class Location extends EvLocationAppModel {

	public $actsAs = array(
		'Routable.Routable' => array(
			'config' => 'EvLocation'
		),
		'MetaData.Meta',
		'Tree'
	);

	public $imageSlots = -1;

	public $order = array(
		'Location.lft' => 'DESC'
	);

	public $validate = array(
		'name' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'Required field'
			),
			'maxLength' => array(
				'rule' => array('maxLength', 45),
				'message' => 'No more than 45 characters long'
			)
		),
	);


	public function all() {

		return $this->find('all', array(
			'conditions' => array(
				'Location.is_active' => true
			),
			'contain' => array(
				'Image'
			)
		));

	}

}